{
    "packages": [
        {
            "name": "composer/ca-bundle",
            "version": "1.3.7",
            "version_normalized": "1.3.7.0",
            "source": {
                "type": "git",
                "url": "https://github.com/composer/ca-bundle.git",
                "reference": "76e46335014860eec1aa5a724799a00a2e47cc85"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/composer/ca-bundle/zipball/76e46335014860eec1aa5a724799a00a2e47cc85",
                "reference": "76e46335014860eec1aa5a724799a00a2e47cc85",
                "shasum": ""
            },
            "require": {
                "ext-openssl": "*",
                "ext-pcre": "*",
                "php": "^5.3.2 || ^7.0 || ^8.0"
            },
            "require-dev": {
                "phpstan/phpstan": "^0.12.55",
                "psr/log": "^1.0",
                "symfony/phpunit-bridge": "^4.2 || ^5",
                "symfony/process": "^2.5 || ^3.0 || ^4.0 || ^5.0 || ^6.0"
            },
            "time": "2023-08-30T09:31:38+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Composer\\CaBundle\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jordi Boggiano",
                    "email": "j.boggiano@seld.be",
                    "homepage": "http://seld.be"
                }
            ],
            "description": "Lets you find a path to the system CA bundle, and includes a fallback to the Mozilla CA bundle.",
            "keywords": [
                "cabundle",
                "cacert",
                "certificate",
                "ssl",
                "tls"
            ],
            "support": {
                "irc": "irc://irc.freenode.org/composer",
                "issues": "https://github.com/composer/ca-bundle/issues",
                "source": "https://github.com/composer/ca-bundle/tree/1.3.7"
            },
            "funding": [
                {
                    "url": "https://packagist.com",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/composer",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/composer/composer",
                    "type": "tidelift"
                }
            ],
            "install-path": "./ca-bundle"
        },
        {
            "name": "enshrined/svg-sanitize",
            "version": "0.16.0",
            "version_normalized": "0.16.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/darylldoyle/svg-sanitizer.git",
                "reference": "239e257605e2141265b429e40987b2ee51bba4b4"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/darylldoyle/svg-sanitizer/zipball/239e257605e2141265b429e40987b2ee51bba4b4",
                "reference": "239e257605e2141265b429e40987b2ee51bba4b4",
                "shasum": ""
            },
            "require": {
                "ext-dom": "*",
                "ext-libxml": "*",
                "ezyang/htmlpurifier": "^4.16",
                "php": "^5.6 || ^7.0 || ^8.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^5.7 || ^6.5 || ^8.5"
            },
            "time": "2023-03-20T10:51:12+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "enshrined\\svgSanitize\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "GPL-2.0-or-later"
            ],
            "authors": [
                {
                    "name": "Daryll Doyle",
                    "email": "daryll@enshrined.co.uk"
                }
            ],
            "description": "An SVG sanitizer for PHP",
            "support": {
                "issues": "https://github.com/darylldoyle/svg-sanitizer/issues",
                "source": "https://github.com/darylldoyle/svg-sanitizer/tree/0.16.0"
            },
            "install-path": "../enshrined/svg-sanitize"
        },
        {
            "name": "ezyang/htmlpurifier",
            "version": "v4.16.0",
            "version_normalized": "4.16.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/ezyang/htmlpurifier.git",
                "reference": "523407fb06eb9e5f3d59889b3978d5bfe94299c8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/ezyang/htmlpurifier/zipball/523407fb06eb9e5f3d59889b3978d5bfe94299c8",
                "reference": "523407fb06eb9e5f3d59889b3978d5bfe94299c8",
                "shasum": ""
            },
            "require": {
                "php": "~5.6.0 || ~7.0.0 || ~7.1.0 || ~7.2.0 || ~7.3.0 || ~7.4.0 || ~8.0.0 || ~8.1.0 || ~8.2.0"
            },
            "require-dev": {
                "cerdic/css-tidy": "^1.7 || ^2.0",
                "simpletest/simpletest": "dev-master"
            },
            "suggest": {
                "cerdic/css-tidy": "If you want to use the filter 'Filter.ExtractStyleBlocks'.",
                "ext-bcmath": "Used for unit conversion and imagecrash protection",
                "ext-iconv": "Converts text to and from non-UTF-8 encodings",
                "ext-tidy": "Used for pretty-printing HTML"
            },
            "time": "2022-09-18T07:06:19+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "library/HTMLPurifier.composer.php"
                ],
                "psr-0": {
                    "HTMLPurifier": "library/"
                },
                "exclude-from-classmap": [
                    "/library/HTMLPurifier/Language/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-2.1-or-later"
            ],
            "authors": [
                {
                    "name": "Edward Z. Yang",
                    "email": "admin@htmlpurifier.org",
                    "homepage": "http://ezyang.com"
                }
            ],
            "description": "Standards compliant HTML filter written in PHP",
            "homepage": "http://htmlpurifier.org/",
            "keywords": [
                "html"
            ],
            "support": {
                "issues": "https://github.com/ezyang/htmlpurifier/issues",
                "source": "https://github.com/ezyang/htmlpurifier/tree/v4.16.0"
            },
            "install-path": "../ezyang/htmlpurifier"
        },
        {
            "name": "geoip2/geoip2",
            "version": "v2.13.0",
            "version_normalized": "2.13.0.0",
            "source": {
                "type": "git",
                "url": "git@github.com:maxmind/GeoIP2-php.git",
                "reference": "6a41d8fbd6b90052bc34dff3b4252d0f88067b23"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/maxmind/GeoIP2-php/zipball/6a41d8fbd6b90052bc34dff3b4252d0f88067b23",
                "reference": "6a41d8fbd6b90052bc34dff3b4252d0f88067b23",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "maxmind-db/reader": "~1.8",
                "maxmind/web-service-common": "~0.8",
                "php": ">=7.2"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "3.*",
                "phpstan/phpstan": "*",
                "phpunit/phpunit": "^8.0 || ^9.0",
                "squizlabs/php_codesniffer": "3.*"
            },
            "time": "2022-08-05T20:32:58+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GeoIp2\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Gregory J. Oschwald",
                    "email": "goschwald@maxmind.com",
                    "homepage": "https://www.maxmind.com/"
                }
            ],
            "description": "MaxMind GeoIP2 PHP API",
            "homepage": "https://github.com/maxmind/GeoIP2-php",
            "keywords": [
                "IP",
                "geoip",
                "geoip2",
                "geolocation",
                "maxmind"
            ],
            "install-path": "../geoip2/geoip2"
        },
        {
            "name": "maxmind-db/reader",
            "version": "v1.11.0",
            "version_normalized": "1.11.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/maxmind/MaxMind-DB-Reader-php.git",
                "reference": "b1f3c0699525336d09cc5161a2861268d9f2ae5b"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/maxmind/MaxMind-DB-Reader-php/zipball/b1f3c0699525336d09cc5161a2861268d9f2ae5b",
                "reference": "b1f3c0699525336d09cc5161a2861268d9f2ae5b",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2"
            },
            "conflict": {
                "ext-maxminddb": "<1.10.1,>=2.0.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "3.*",
                "php-coveralls/php-coveralls": "^2.1",
                "phpstan/phpstan": "*",
                "phpunit/phpcov": ">=6.0.0",
                "phpunit/phpunit": ">=8.0.0,<10.0.0",
                "squizlabs/php_codesniffer": "3.*"
            },
            "suggest": {
                "ext-bcmath": "bcmath or gmp is required for decoding larger integers with the pure PHP decoder",
                "ext-gmp": "bcmath or gmp is required for decoding larger integers with the pure PHP decoder",
                "ext-maxminddb": "A C-based database decoder that provides significantly faster lookups"
            },
            "time": "2021-10-18T15:23:10+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "MaxMind\\Db\\": "src/MaxMind/Db"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Gregory J. Oschwald",
                    "email": "goschwald@maxmind.com",
                    "homepage": "https://www.maxmind.com/"
                }
            ],
            "description": "MaxMind DB Reader API",
            "homepage": "https://github.com/maxmind/MaxMind-DB-Reader-php",
            "keywords": [
                "database",
                "geoip",
                "geoip2",
                "geolocation",
                "maxmind"
            ],
            "support": {
                "issues": "https://github.com/maxmind/MaxMind-DB-Reader-php/issues",
                "source": "https://github.com/maxmind/MaxMind-DB-Reader-php/tree/v1.11.0"
            },
            "install-path": "../maxmind-db/reader"
        },
        {
            "name": "maxmind/web-service-common",
            "version": "v0.9.0",
            "version_normalized": "0.9.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/maxmind/web-service-common-php.git",
                "reference": "4dc5a3e8df38aea4ca3b1096cee3a038094e9b53"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/maxmind/web-service-common-php/zipball/4dc5a3e8df38aea4ca3b1096cee3a038094e9b53",
                "reference": "4dc5a3e8df38aea4ca3b1096cee3a038094e9b53",
                "shasum": ""
            },
            "require": {
                "composer/ca-bundle": "^1.0.3",
                "ext-curl": "*",
                "ext-json": "*",
                "php": ">=7.2"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "3.*",
                "phpstan/phpstan": "*",
                "phpunit/phpunit": "^8.0 || ^9.0",
                "squizlabs/php_codesniffer": "3.*"
            },
            "time": "2022-03-28T17:43:20+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "MaxMind\\Exception\\": "src/Exception",
                    "MaxMind\\WebService\\": "src/WebService"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Gregory Oschwald",
                    "email": "goschwald@maxmind.com"
                }
            ],
            "description": "Internal MaxMind Web Service API",
            "homepage": "https://github.com/maxmind/web-service-common-php",
            "support": {
                "issues": "https://github.com/maxmind/web-service-common-php/issues",
                "source": "https://github.com/maxmind/web-service-common-php/tree/v0.9.0"
            },
            "install-path": "../maxmind/web-service-common"
        },
        {
            "name": "mobiledetect/mobiledetectlib",
            "version": "2.8.41",
            "version_normalized": "2.8.41.0",
            "source": {
                "type": "git",
                "url": "https://github.com/serbanghita/Mobile-Detect.git",
                "reference": "fc9cccd4d3706d5a7537b562b59cc18f9e4c0cb1"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/serbanghita/Mobile-Detect/zipball/fc9cccd4d3706d5a7537b562b59cc18f9e4c0cb1",
                "reference": "fc9cccd4d3706d5a7537b562b59cc18f9e4c0cb1",
                "shasum": ""
            },
            "require": {
                "php": ">=5.0.0"
            },
            "require-dev": {
                "phpunit/phpunit": "~4.8.35||~5.7"
            },
            "time": "2022-11-08T18:31:26+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "Detection": "namespaced/"
                },
                "classmap": [
                    "Mobile_Detect.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Serban Ghita",
                    "email": "serbanghita@gmail.com",
                    "homepage": "http://mobiledetect.net",
                    "role": "Developer"
                }
            ],
            "description": "Mobile_Detect is a lightweight PHP class for detecting mobile devices. It uses the User-Agent string combined with specific HTTP headers to detect the mobile environment.",
            "homepage": "https://github.com/serbanghita/Mobile-Detect",
            "keywords": [
                "detect mobile devices",
                "mobile",
                "mobile detect",
                "mobile detector",
                "php mobile detect"
            ],
            "support": {
                "issues": "https://github.com/serbanghita/Mobile-Detect/issues",
                "source": "https://github.com/serbanghita/Mobile-Detect/tree/2.8.41"
            },
            "install-path": "../mobiledetect/mobiledetectlib"
        },
        {
            "name": "s1lentium/iptools",
            "version": "v1.1.1",
            "version_normalized": "1.1.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/S1lentium/IPTools.git",
                "reference": "f6f8ab6132ca7443bd7cced1681f5066d725fd5f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/S1lentium/IPTools/zipball/f6f8ab6132ca7443bd7cced1681f5066d725fd5f",
                "reference": "f6f8ab6132ca7443bd7cced1681f5066d725fd5f",
                "shasum": ""
            },
            "require": {
                "ext-bcmath": "*",
                "php": ">=5.4.0"
            },
            "require-dev": {
                "phpunit/phpunit": "~4.0",
                "satooshi/php-coveralls": "~1.0"
            },
            "time": "2018-09-19T06:15:53+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "IPTools\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Safarov Alisher",
                    "email": "alisher.safarov@outlook.com",
                    "homepage": "https://github.com/S1lentium"
                }
            ],
            "description": "PHP Library for manipulating network addresses (IPv4 and IPv6)",
            "keywords": [
                "IP",
                "IP-Tools",
                "cidr",
                "ipv4",
                "ipv6",
                "network",
                "subnet"
            ],
            "support": {
                "issues": "https://github.com/S1lentium/IPTools/issues",
                "source": "https://github.com/S1lentium/IPTools/tree/master"
            },
            "install-path": "../s1lentium/iptools"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
